Package org.springframework.security.web.server.header

# Interface ServerHttpHeadersWriter

All Known Implementing Classes:
  `CacheControlServerHttpHeadersWriter`, `ClearSiteDataServerHttpHeadersWriter`, `CompositeServerHttpHeadersWriter`, `ContentSecurityPolicyServerHttpHeadersWriter`, `ContentTypeOptionsServerHttpHeadersWriter`, `CrossOriginEmbedderPolicyServerHttpHeadersWriter`, `CrossOriginOpenerPolicyServerHttpHeadersWriter`, `CrossOriginResourcePolicyServerHttpHeadersWriter`, `FeaturePolicyServerHttpHeadersWriter`, `PermissionsPolicyServerHttpHeadersWriter`, `ReferrerPolicyServerHttpHeadersWriter`, `ServerWebExchangeDelegatingServerHttpHeadersWriter`, `StaticServerHttpHeadersWriter`, `StrictTransportSecurityServerHttpHeadersWriter`, `XContentTypeOptionsServerHttpHeadersWriter`, `XFrameOptionsServerHttpHeadersWriter`, `XXssProtectionServerHttpHeadersWriter`

public interface ServerHttpHeadersWriter
Interface for writing headers just before the response is committed.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`writeHttpHeaders(org.springframework.web.server.ServerWebExchange exchange)`
Write the headers to the response.

## Method Details

### writeHttpHeaders

reactor.core.publisher.Mono<Void> writeHttpHeaders(org.springframework.web.server.ServerWebExchange exchange)
Write the headers to the response.

Parameters:
  `exchange` -
Returns:
  A Mono which is returned to the `Supplier` of the `ReactiveHttpOutputMessage.beforeCommit(Supplier)`.